import { SegmentParseFunc } from './index';
/**
 * Parse a SNS segement. SNS segment will look like this:
 *
{
    "id": "4b1fd180bd9678f2",
    "name": "SNS",
    "start_time": 1520849681.61,
    "end_time": 1520849681.714,
    "http": {
        "response": {
            "status": 200
        }
    },
    "aws": {
        "operation": "ListSubscriptionsByTopic",
        "region": "us-east-1",
        "request_id": "0b537b2c-4c01-5f50-b619-280c195091e7",
        "retries": 0,
        "topic_arn": "arn:aws:sns:us-east-1:123456789012:test-topic"
    },
    "namespace": "aws"
}
 *
 * @param segmentDoc
 * @param actionsMap
 */
declare const parseSegment: SegmentParseFunc;
export default parseSegment;
